<?php
/**
 * VW Fitness: Block Patterns
 *
 * @package VW Fitness
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'vw-fitness',
		array( 'label' => __( 'VW Fitness', 'vw-fitness' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'vw-fitness/banner-section',
		array(
			'title'      => __( 'Banner Section', 'vw-fitness' ),
			'categories' => array( 'vw-fitness' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/banner.png\",\"id\":9604,\"dimRatio\":30,\"customGradient\":\"linear-gradient(100deg,rgb(17,56,105) 47%,rgba(0,0,0,0.5) 53%)\",\"align\":\"full\",\"className\":\"banner\"} -->\n<div class=\"wp-block-cover alignfull has-background-dim-30 has-background-dim has-background-gradient banner\" style=\"background-image:url(" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/banner.png)\"><span aria-hidden=\"true\" class=\"wp-block-cover__gradient-background\" style=\"background:linear-gradient(100deg,rgb(17,56,105) 47%,rgba(0,0,0,0.5) 53%)\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:columns {\"align\":\"wide\",\"className\":\"m-0\"} -->\n<div class=\"wp-block-columns alignwide m-0\"><!-- wp:column {\"width\":\"25%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:25%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"70%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:70%\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":1,\"textColor\":\"white\",\"style\":{\"typography\":{\"fontSize\":40}}} -->\n<h1 class=\"has-text-align-center has-white-color has-text-color\" style=\"font-size:40px\"><strong>LOREM IPSUM DOLOR SIT AMET, CONSECETUR ADIPISCING</strong></h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"typography\":{\"fontSize\":15}}} -->\n<p class=\"has-text-align-center text-center\" style=\"font-size:15px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industrys standard dummy text ever since </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"align\":\"center\"} -->\n<div class=\"wp-block-buttons aligncenter\"><!-- wp:button {\"borderRadius\":0,\"style\":{\"color\":{\"background\":\"#d3da36\",\"text\":\"#113665\"}}} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link has-text-color has-background no-border-radius\" style=\"background-color:#d3da36;color:#113665\">READ MORE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"25%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:25%\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'vw-fitness/services-section',
		array(
			'title'      => __( 'Services Section', 'vw-fitness' ),
			'categories' => array( 'vw-fitness' ),
			'content'    => "<!-- wp:cover {\"overlayColor\":\"white\",\"align\":\"wide\",\"className\":\"services-section m-0\"} -->\n<div class=\"wp-block-cover alignwide has-white-background-color has-background-dim services-section m-0\"><div class=\"wp-block-cover__inner-container\"><!-- wp:columns {\"align\":\"wide\",\"className\":\"m-0\"} -->\n<div class=\"wp-block-columns alignwide m-0\"><!-- wp:column {\"className\":\"mb-4\"} -->\n<div class=\"wp-block-column mb-4\"><!-- wp:cover {\"customOverlayColor\":\"#113665\",\"minHeight\":50,\"align\":\"center\",\"className\":\"article-section\"} -->\n<div class=\"wp-block-cover aligncenter has-background-dim article-section\" style=\"background-color:#113665;min-height:50px\"><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"fontSize\":\"medium\"} -->\n<h2 class=\"has-text-align-center has-medium-font-size\">SERVICES TITLE 1</h2>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"align\":\"center\",\"id\":5306,\"sizeSlug\":\"large\",\"linkDestination\":\"media\"} -->\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-large\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/services1.png\" alt=\"\" class=\"wp-image-5306\"/></figure></div>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"typography\":{\"fontSize\":15}}} -->\n<p class=\"has-text-align-center text-center\" style=\"font-size:15px\">Lorem Ipsum has been the industrys standard. Lorem Ipsum has been the industrys </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"align\":\"center\"} -->\n<div class=\"wp-block-buttons aligncenter\"><!-- wp:button {\"borderRadius\":0,\"style\":{\"color\":{\"background\":\"#d3da36\",\"text\":\"#113665\"}},\"className\":\"service-btn\"} -->\n<div class=\"wp-block-button service-btn\"><a class=\"wp-block-button__link has-text-color has-background no-border-radius\" style=\"background-color:#d3da36;color:#113665\">READ MORE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"mb-4\"} -->\n<div class=\"wp-block-column mb-4\"><!-- wp:cover {\"customOverlayColor\":\"#113665\",\"minHeight\":50,\"align\":\"center\",\"className\":\"article-section\"} -->\n<div class=\"wp-block-cover aligncenter has-background-dim article-section\" style=\"background-color:#113665;min-height:50px\"><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"fontSize\":\"medium\"} -->\n<h2 class=\"has-text-align-center has-medium-font-size\">SERVICES TITLE 2</h2>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"align\":\"center\",\"id\":9661,\"sizeSlug\":\"large\",\"linkDestination\":\"media\"} -->\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-large\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/services2.png\" alt=\"\" class=\"wp-image-9661\"/></figure></div>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"typography\":{\"fontSize\":15}}} -->\n<p class=\"has-text-align-center text-center\" style=\"font-size:15px\">Lorem Ipsum has been the industrys standard. Lorem Ipsum has been the industrys </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"align\":\"center\"} -->\n<div class=\"wp-block-buttons aligncenter\"><!-- wp:button {\"borderRadius\":0,\"style\":{\"color\":{\"background\":\"#d3da36\",\"text\":\"#113665\"}},\"className\":\"service-btn\"} -->\n<div class=\"wp-block-button service-btn\"><a class=\"wp-block-button__link has-text-color has-background no-border-radius\" style=\"background-color:#d3da36;color:#113665\">READ MORE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"mb-4\"} -->\n<div class=\"wp-block-column mb-4\"><!-- wp:cover {\"customOverlayColor\":\"#113665\",\"minHeight\":50,\"align\":\"center\",\"className\":\"article-section\"} -->\n<div class=\"wp-block-cover aligncenter has-background-dim article-section\" style=\"background-color:#113665;min-height:50px\"><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"fontSize\":\"medium\"} -->\n<h2 class=\"has-text-align-center has-medium-font-size\">SERVICES TITLE 3</h2>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"align\":\"center\",\"id\":9662,\"sizeSlug\":\"large\",\"linkDestination\":\"media\"} -->\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-large\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/services3.png\" alt=\"\" class=\"wp-image-9662\"/></figure></div>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"typography\":{\"fontSize\":15}}} -->\n<p class=\"has-text-align-center text-center\" style=\"font-size:15px\">Lorem Ipsum has been the industrys standard. Lorem Ipsum has been the industrys </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"align\":\"center\"} -->\n<div class=\"wp-block-buttons aligncenter\"><!-- wp:button {\"borderRadius\":0,\"style\":{\"color\":{\"background\":\"#d3da36\",\"text\":\"#113665\"}},\"className\":\"service-btn\"} -->\n<div class=\"wp-block-button service-btn\"><a class=\"wp-block-button__link has-text-color has-background no-border-radius\" style=\"background-color:#d3da36;color:#113665\">READ MORE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"mb-4\"} -->\n<div class=\"wp-block-column mb-4\"><!-- wp:cover {\"customOverlayColor\":\"#113665\",\"minHeight\":50,\"align\":\"center\",\"className\":\"article-section\"} -->\n<div class=\"wp-block-cover aligncenter has-background-dim article-section\" style=\"background-color:#113665;min-height:50px\"><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"fontSize\":\"medium\"} -->\n<h2 class=\"has-text-align-center has-medium-font-size\">SERVICES TITLE 4</h2>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"align\":\"center\",\"id\":9663,\"sizeSlug\":\"large\",\"linkDestination\":\"media\"} -->\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-large\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/services4.png\" alt=\"\" class=\"wp-image-9663\"/></figure></div>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center\",\"style\":{\"typography\":{\"fontSize\":15}}} -->\n<p class=\"has-text-align-center text-center\" style=\"font-size:15px\">Lorem Ipsum has been the industrys standard. Lorem Ipsum has been the industrys </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"align\":\"center\"} -->\n<div class=\"wp-block-buttons aligncenter\"><!-- wp:button {\"borderRadius\":0,\"style\":{\"color\":{\"background\":\"#d3da36\",\"text\":\"#113665\"}},\"className\":\"service-btn\"} -->\n<div class=\"wp-block-button service-btn\"><a class=\"wp-block-button__link has-text-color has-background no-border-radius\" style=\"background-color:#d3da36;color:#113665\">READ MORE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);
}